[8.90.6] LibreELEC 9.0 Alpha for S905/S912 devices

  • GDPR-2


    Is it true the front LCD for tanix tx3 mini works in Leia? Is there someway we can add the support to current builds for krypton?


    The short answer is yes and yes

    However... Afaik there will be no more updates to Krypton, kszaq may choose to continue to release minor updates for bug fixes but I don't know what his plans are.

  • Sorry for a noob question: When I try to install a specific addon (retroarch) a popup shows 'os.libreelec.tv not available'. How can I solve that?


  • The short answer is yes and yes

    However... Afaik there will be no more updates to Krypton, kszaq may choose to continue to release minor updates for bug fixes but I don't know what his plans are.

    Is it easy for us to do by installing the LCDproc addons (kodi repo & libreelec repo) or does the driver need to be in the kodi build itself (or dtb)? If it's in the kodi build is it in a form of commit? Which one is it so that I ask kszaq to build a version with your commit?

  • Sorry for a noob question: When I try to install a specific addon (retroarch) a popup shows 'os.libreelec.tv not available'. How can I solve that?

    Just ignore it and press okay


    Is it easy for us to do by installing the LCDproc addons (kodi repo & libreelec repo) or does the driver need to be in the kodi build itself (or dtb)? If it's in the kodi build is it in a form of commit? Which one is it so that I ask kszaq to build a version with your commit?

    unfortunately not, it has nothing to do with lcdproc and has to be baked directly into the build and then a modified dtb has to be used, it's the fd628 driver for reference.

  • pvr.iptvsimple


    I found this in my log

    Code
    16:45:00.461 T:3999454096 ERROR: GetDirectory - Error getting
    16:45:11.075 T:4092732416 ERROR: Previous line repeats 2 times.
    16:45:11.075 T:4092732416 ERROR: Add-on 'pvr.iptvsimple' is not compatible with Kodi
    16:45:36.416 T:3988976528 ERROR: Previous line repeats 1 times.
    16:45:36.416 T:3988976528 ERROR: CAddonInstallJob[inputstream.rtmp]

    before with 8.90.0 was no problem. Online update was not possible, handmade installation from admag-addons-repo solved the problem ....

    Beelink Mini MXIII S905-CPU 2.0GHz, Mali 450, 2GB Ram, 16GB eMMC (Android 6.0} | SD-A: 16GB microSD (LibreELEC [kszaq] - Kodi 17) | SD-B: 16GB microSD (CoreELEC [adamg] - Kodi 18)

    Raspberry Pi 3 - 64GB microSD (LibreELEC - Kodi 17)

    NUC NUC6CAYH - 64GB SSD (LibreELEC - Kodi 17) | 16GB microSD (LibreELEC [Milhouse] - Kodi 18)

  • Is it possible to add fd628 driver in S912 dtb file too? In my case it's for 1 gbit network and 3gb memory

    Only if it has the same display, post the link to which DTB yours is and I will modify it and then you can see if it works.

  • pvr.iptvsimple


    I found this in my log

    Code
    16:45:00.461 T:3999454096 ERROR: GetDirectory - Error getting
    16:45:11.075 T:4092732416 ERROR: Previous line repeats 2 times.
    16:45:11.075 T:4092732416 ERROR: Add-on 'pvr.iptvsimple' is not compatible with Kodi
    16:45:36.416 T:3988976528 ERROR: Previous line repeats 1 times.
    16:45:36.416 T:3988976528 ERROR: CAddonInstallJob[inputstream.rtmp]

    before with 8.90.0 was no problem. Online update was not possible, handmade installation from admag-addons-repo solved the problem ....


    The problem is you have a cached version located in your addons/packages directory so when you are attempting to update it Kodi will not download the newer version.


    You can force an update by refreshing the repositories, selecting the add-on and then reinstall it.


    The reason this also happens is because the add-on developer does not push a new version number each time he pushes an update, there is 2 workarounds to this, we can either include the add-on with the build or we can bump the version numbers manually each time there is an update the add-on. I will discuss both options with afl1 to decide what is best for the next release.

  • hi GDPR-2



    What's the problem vdr in le9 is not work setting setup searth sattelite ?


    channel.conf work but not stable While switching between channels and with oscam


    There is hope to see a stable version working without problems with your build ?

  • The problem is you have a cached version located in your addons/packages directory so when you are attempting to update it Kodi will not download the newer version.

    ....

    I will discuss both options with afl1 to decide what is best for the next release.

    I understand what you mean, when i build packages für my arch vdr i change the release number

    Code
    pkgrel=1

    Beelink Mini MXIII S905-CPU 2.0GHz, Mali 450, 2GB Ram, 16GB eMMC (Android 6.0} | SD-A: 16GB microSD (LibreELEC [kszaq] - Kodi 17) | SD-B: 16GB microSD (CoreELEC [adamg] - Kodi 18)

    Raspberry Pi 3 - 64GB microSD (LibreELEC - Kodi 17)

    NUC NUC6CAYH - 64GB SSD (LibreELEC - Kodi 17) | 16GB microSD (LibreELEC [Milhouse] - Kodi 18)

  • I'm not sure, I don't have any boxes with DVB, afl1 may be able to help further


    I understand what you mean, when i build packages für my arch vdr i change the release number

    Code
    pkgrel=1

    yep that's pretty much exactly what I think we should start doing with future releases, we bump pkg_rev in the source though and it would solve all of these problems with the binary addons

  • No! No support for vdr. Use tvheadend.